package cn.com.infosec.asn1.x509;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1EncodableVector;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DERObjectIdentifier;
import cn.com.infosec.asn1.DERSequence;
import java.util.Enumeration;
import java.util.Hashtable;

public class PolicyMappings extends ASN1Encodable {
   ASN1Sequence seq = null;

   public PolicyMappings(ASN1Sequence seq) {
      this.seq = seq;
   }

   public PolicyMappings(Hashtable mappings) {
      ASN1EncodableVector var2;
      var2 = new ASN1EncodableVector.<init>();
      Enumeration var3 = mappings.keys();

      while(var3.hasMoreElements()) {
         String var4;
         String var5 = (String)mappings.get(var4 = (String)var3.nextElement());
         ASN1EncodableVector var6;
         ASN1EncodableVector var10001 = var6 = new ASN1EncodableVector;
         var10001.<init>();
         var10001.add(new DERObjectIdentifier(var4));
         var10001.add(new DERObjectIdentifier(var5));
         var2.add(new DERSequence(var6));
      }

      PolicyMappings var10000 = this;
      DERSequence var7;
      var7 = new DERSequence.<init>(var2);
      var10000.seq = var7;
   }

   public DERObject toASN1Object() {
      return this.seq;
   }
}
